> ## Name

> cgDestroyEffect - destroy an effect

> ## Synopsis

>     #include <Cg/cg.h>

>     void cgDestroyEffect( CGeffect effect );

> ## Parameters

> effect
>   The effect object to delete.

> ## Return Values

> None.

> ## Description

> cgDestroyEffect removes the specified effect object and all its associated data. Any CGeffect handles that reference this effect will become invalid after the effect is deleted. Likewise, all techniques, passes, and parameters contained in the effect also become invalid after the effect is destroyed.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_EFFECT_HANDLE_ERROR is generated if effect is not a valid effect.

> ## History

> cgDestroyEffect was introduced in Cg 1.4.

> ## See Also

> cgCreateEffect, cgCreateEffectFromFile